### controllerのログイン設定

このディレクトリ(`~/IntroQuiz2019/db/`)でcontrollerのログイン設定を行います。

* dbディレクトリに移動して、ターミナル上で以下のコマンドを実行します。
```
% sqlite3 accounts.db
sqlite> .read schema.sql
```

* 現在、データベースにユーザを登録する機能が備わっていないため、アカウント情報を登録するには手動で登録する方法しかありません。<br>
手動でデータベースに登録する方法は以下の通りです。
  - 以下のアカウント情報を作成します。なおpassword_digestはhogehogeをハッシュ化したものを使います。

|id|user_id|password_digest|salt|created_at|updated_at|
| :---: | :---: | :---: | :---: | :---: | :---: |
|1|hogehoge|6675d764245522c5c3156406cf504de1eace95a28cc2ad5df6c79338d0193d7a|hogehoge|2019-xx-xx|2019-xx-xx|

  - 以下のコマンドをターミナル上で実行します。なお、ターミナル上で sqlite> となっている場合は1行目の操作を飛ばします。
  わからない人は大体コピペでも可です。
  ```
  % sqlite3 accounts.db
  sqlite> INSERT INTO users VALUES (1, "hogehoge", "6675d764245522c5c3156406cf504de1eace95a28cc2ad5df6c79338d0193d7a", "hogehoge", "2019-xx-xx", "2019-xx-xx");
  ```
  ```
  #以下INSERT文コピペ用テキスト(この下を3回クリックすると全選択)
  INSERT INTO users VALUES (1, "hogehoge", "6675d764245522c5c3156406cf504de1eace95a28cc2ad5df6c79338d0193d7a", "hogehoge", "2019-01-01", "2019-01-01");
  ```

* 全て完了したら、イントロクイズシステムを起動し、`/controller`ページにログインできるかを確認します。なお、上記の設定を行うと以下のログイン名・パスワードでログインできる。
```
ログイン名: hogehoge
パスワード: hogehoge
```
